# class KTabCtl | Tabbed dialog with extended features. More...
Definition | `#include <ktabctl.h>`
Inherits | QWidget (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KTabCtl (QWidget *parent = 0, const char *name = 0)
- ~KTabCtl ()
- void show ()
- void setFont (const QFont & font)
- void setTabFont ( const QFont &font )
- void addTab (QWidget *, const QString&)
- bool isTabEnabled (const QString& )
- void setTabEnabled (const QString&, bool)
- void setBorder (bool)
- void setShape ( QTabBar::Shape shape )
- virtual QSize sizeHint () const

#### Signals

- void tabSelected (int)

#### Protected Methods

- void paintEvent (QPaintEvent *)
- void resizeEvent (QResizeEvent *)
- void setSizes ()
- QRect getChildRect () const

#### Protected Slots

- void showTab (int i)

#### Protected Members

- QTabBar * tabs
- QArray<QWidget *> pages
- int bh
- bool blBorder

## Detailed Description

Tabbed dialog with extended features. KTabCtl is very similar to QTabDialog, with the following differences:

- To avoid confusion, the API is almost identical with QTabDialog.
- Does not create any buttons, therefore KTabCtl is not limited to dialog boxes. You can use it whereever you want.
- emits the signal tabSelected(int pagenumber) when the user selects one of the tabs. This gives you the chance to update the widget contents of a single page. The signal is emitted _before_ the page is shown. This is very useful if the contents of some widgets on page A depend on the contents of some other widgets on page B.

KTabCtl (QWidget *parent = 0, const char *name = 0) | ### KTabCtl

~KTabCtl () | ### ~KTabCtl

void show () | ### show

Reimplemented from QWidget.

void setFont (const QFont & font) | ### setFont

Reimplemented from QWidget.

void setTabFont ( const QFont &font ) | ### setTabFont

void addTab (QWidget *, const QString&) | ### addTab

bool isTabEnabled (const QString& ) | ### isTabEnabled

void setTabEnabled (const QString&, bool) | ### setTabEnabled

void setBorder (bool) | ### setBorder

void setShape ( QTabBar::Shape shape ) | ### setShape

QSize sizeHint () | ### sizeHint

[const virtual]

Reimplemented from QWidget.

void paintEvent (QPaintEvent *) | ### paintEvent

[protected]

Reimplemented from QWidget.

void resizeEvent (QResizeEvent *) | ### resizeEvent

[protected]

Reimplemented from QWidget.

void tabSelected (int) | ### tabSelected

[signal]

void showTab (int i) | ### showTab

[protected slots slot]

void setSizes () | ### setSizes

[protected]

QRect getChildRect () | ### getChildRect

[protected const]

QTabBar * tabs | ### tabs

[protected]

QArray<QWidget *> pages | ### pages

[protected]

int bh | ### bh

[protected]

bool blBorder | ### blBorder

[protected]

- Version: $Id: ktabctl.h,v 1.11 2000/06/15 06:35:12 kalle Exp $
- Author: Alexander Sanda (alex@darkstar.ping.at)
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.